@font-face {
	font-family:'DejaVu';
	src: url('/fonts/DejaVuSansMono.ttf')
}
li {
     line-height:100%;
     list-style-position:outside;
}
body
{
	font-family:'DejaVu';
	background: lightyellow;
	font-size:1em;
	padding:0 0 20 0;
	max-width:1024px;
/*    overflow:auto;*/
}
svg {
     display:block;
     height:500px;
     width:500px;
	margin-right:1em;
     font-size:16px;
	font-family:'DejaVu';
/* border does not work here, only inline */
/*	border:5px solid black;*/
    background-color:#E5E5E5;
    position:absolute;
/*    float:left;*/
}

a {
    text-decoration:none;
	font-family:'DejaVu';
//    background-color:#ffc47e;
}

a:link {
	font-family:'DejaVu';
    text-decoration:none;
    color:red;
}
a:visited {
	font-family:'DejaVu';
    text-decoration:none;
    color:red;
    text-decoration:underline;
}
a:hover {
	font-family:'DejaVu';
    text-decoration:none;
    color:blue;
    background:red;

}

pre {
	font-family:'DejaVu';
	border-radius:5px;
	font-size:1em;
	color:black;
	padding-left:1em;
	background-color:#ffd78c;
	overflow:auto;
}
h1, h2
{
	font-family:'DejaVu';
	font-weight:normal;
	font-size:1.25em;
}
/* animation path (animate1.1)*/
.path {
    stroke-dasharray: 230;
    animation:dash 31s linear forwards;
}
@keyframes dash {
    to {
        stroke-dashoffset: 231;
        /* this is > path length (230) to make it disappear */
    }
}

/* animation */
td
{
	border: 1px solid black;
}
table
{
	border: 1px solid black;
}
.mybox
{
	position:absolute;
	border: 1px solid black;
	margin-right:2px;
	font-size:1em;
	font-family:'DejaVu';

	color:black;
	height:500px;
	width:500px; /* ??? */
  top:110px;
  left:15px;
  padding-right:10px
}
.mybox2
{
	position:relative;
	border: 1px solid black;
	margin-right:2px;
	font-size:1em;
	font-family:'DejaVu';
	color:black;
	height:500px;
	width:490px; /* ??? */
    top:540px;
    left:-13px;
    padding-right:10px
}

.hilite {
  font-family: monaco;
	font-family:'DejaVu';
  color:black;
  background-color:#ff995a;
  padding:2px;
  border-radius:3px;
}

.mytext
{
	position:relative;
	top 1em;
   margin-top: 20px;
/*    float:left;*/
	font-size:1em;
	font-family:'DejaVu';
	color:black;
	width:975px;
    padding:0 1em 0 1em;
/*
	border: 2px solid black;
    border-radius:10px;
*/
    margin-top:1em;
/*    overflow:auto;*/
}

/*.mytext
{
	position:relative;
	top 1em;
	border: 2px solid black;
	font-size:1em;
	font-family:'Menlo';
	color:black;
	width:950px;
    padding:1em;
    border-radius:10px;

}
*/
.menu
{
	margin-left:1em;
	text-align:center;
     position:relative;
     border-radius:10px;
   	border: 2px solid black;
     padding:1em;
     float:right;
     height:100%;
     left:10px;
     width:30em; /* NOT width of menu */
	font-size:16px;
	font-family:"DejaVu";
	color:black;
	background-color:#ffcd7e;
     column-count:2;
     text-align:left;
     column-width:50%;
     height:30em; /* freeze height */
     overflow:auto; /*make scrollable - horizontal */
}

#Menu {
     z-index:4;
     width:25em;
     height:5em;
     position:fixed;
     top:20px;
     right:50px;
     padding:4px;
     background-color:#ffd783;
	font-family:'DejaVu';
     font-size:1em;
     overflow-y:scroll;
     border-radius:5px
}
/* http://bavotasan.com/2011/style-select-box-using-only-css/ */
.styled-select, select {
     float:right;
     background:transparent;
     height:5em;
/*     size:3; redundant if inlined */
	font-family:'DejaVu';
   background: #ffe9af;
   width: 30em; /* menu width */
   padding: 5px;
   font-size: 1em;
   line-height: 1.5;
   border: 0;
   border-radius: 5px;
}
.code {
	font-family:'DejaVu';
	line-height:1.5;
	padding:5px;
	color:saddlebrown;
    margin-left:10%; margin-right:10%;
	background-color:#ffd78c;
/*    background-color:#FF888C;*/
	border-radius: 10px;
}
.link
{
	font-family:"DejaVu";
	color:black;
	font-size:1.25em;
}
.text
{
	font-family:"DejaVu;"
	position:absolute;
	top:90px;
	width:500px;
	left:50%;
}
.imp {
	font-family:'DejaVu';
    padding:10px;
    margin-left:10%; margin-right:10%;
    background-color:#FA4E00;
    border-radius:10px;
}

/* for ajax buttons */
input[type="button"]
{
	font-family:'DejaVu';
	font-size:1.25em;
	background-color:#FF940B;
	background-color:#CA80FF;
	color:#000;
	border-radius:10px;
}
input[type="submit"]
{
	font-family:'DejaVu';
	font-size:1.25em;
	background-color:#FF6907;
	background-color:#FF6907;
	color:#000;
	border-radius:10px;
}
